Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019364
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2011-12-23 16:342011-12-29 09:36
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tomtaal 
PriorityurgentResolutionfixedFixed in Version3.0MP7
StatusclosedFix in branchFixed in SCM revisionf7638eff9760
ProjectionnoneETAnoneTarget Version3.0MP7
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP6SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019364: Payment Monitor section in the Invoices does not appear

DescriptionPayment Monitor section in the Invoices does not appear after you complete the invoice (sales or purchase) while it should.
Fields that belong to this section are there but not the section itself.
Steps To Reproducelive.builds.pi or demo.openbravo.com.

1. Login in with default user.
2. Create new Sales Invoice and complete it.
3. Mention that Payment Monitor section is not present in the Header while fields that belong to it (like Total Paid, Days Till Due) are there.
TagsRegression
Attached Filespng file icon payment-monitor1.png [^] (87,943 bytes) 2011-12-23 18:12


png file icon payment-monitor2.png [^] (92,424 bytes) 2011-12-23 18:12


png file icon payment-monitor3.png [^] (90,114 bytes) 2011-12-23 18:13

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0044038)
hgbot (developer)
2011-12-27 20:22

Repository: erp/devel/pi
Changeset: f7638eff9760b4edbac0b8edaf0205e7032a08ed
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Dec 27 20:22:17 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f7638eff9760b4edbac0b8edaf0205e7032a08ed [^]

Fixes issue 19364: Payment Monitor section in the Invoices does not appear
Solve typo and change the way the visibility of section is computed

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-section.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0044047)
hudsonbot (developer)
2011-12-28 04:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05d50af83cc8 [^]

Maturity status: Test
(0044054)
mtaal (developer)
2011-12-28 13:19

Related changeset:
http://code.openbravo.com/erp/devel/pi/rev/cc24503ec9ba71508d9230b408125cb37ba07c4c [^]
(0044057)
hgbot (developer)
2011-12-28 13:40

Repository: erp/devel/pi
Changeset: b818875ced2acf9260e125ab84278b1a77e3dc36
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Dec 28 13:40:21 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b818875ced2acf9260e125ab84278b1a77e3dc36 [^]

Related to issue 19364: Payment Monitor section in the Invoices does not appear

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0044058)
dbaz (developer)
2011-12-28 16:50

Reviewed @ changeset 14964 - b818875ced2a
(0044068)
hudsonbot (developer)
2011-12-29 09:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dea7dd675bfb [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-12-23 16:34 dmitry_mezentsev New Issue
2011-12-23 16:34 dmitry_mezentsev Assigned To => dbaz
2011-12-23 16:34 dmitry_mezentsev Modules => Core
2011-12-23 16:37 dmitry_mezentsev Tag Attached: Regression
2011-12-23 18:12 iperdomo File Added: payment-monitor1.png
2011-12-23 18:12 iperdomo File Added: payment-monitor2.png
2011-12-23 18:13 iperdomo File Added: payment-monitor3.png
2011-12-24 14:32 dbaz Assigned To dbaz => mtaal
2011-12-27 20:22 hgbot Checkin
2011-12-27 20:22 hgbot Note Added: 0044038
2011-12-27 20:22 hgbot Status new => resolved
2011-12-27 20:22 hgbot Resolution open => fixed
2011-12-27 20:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f7638eff9760b4edbac0b8edaf0205e7032a08ed [^]
2011-12-28 04:38 hudsonbot Checkin
2011-12-28 04:38 hudsonbot Note Added: 0044047
2011-12-28 13:19 mtaal Note Added: 0044054
2011-12-28 13:40 hgbot Checkin
2011-12-28 13:40 hgbot Note Added: 0044057
2011-12-28 16:50 dbaz Note Added: 0044058
2011-12-28 16:50 dbaz Status resolved => closed
2011-12-28 16:50 dbaz Fixed in Version => 3.0MP7
2011-12-29 09:36 hudsonbot Checkin
2011-12-29 09:36 hudsonbot Note Added: 0044068


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker